StarObjectSpreadsheetInternal::ScMultiRecord Struct Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
StarObjectSpreadsheetInternal::ScMultiRecord Struct Reference

Internal: a structure use to read ScMultiRecord zone of a StarObjectSpreadsheet. More...

## Public Member Functions
| ScMultiRecord (StarZone &zone)
| constructor
| ~ScMultiRecord ()
| destructor
bool | open ()
| try to open a zone
void | close (std::string const &wh)
| try to close a zone
bool | isContentOpened () const
| returns true if a content is opened
bool | openContent (std::string const &wh)
| try to go to the new content positon
bool | closeContent (std::string const &wh)
| try to go to the new content positon
long | getContentLastPosition () const
| returns the last content position

## Protected Attributes
StarZone & | m_zone
| the main zone
bool | m_zoneOpened
| true if a SfxRecord has been opened
uint32_t | m_actualRecord
| the actual record
uint32_t | m_numRecord
| the number of record
long | m_startPos
| the start of data position
long | m_endPos
| the end of data position
long | m_endContentPos
| the end of the content position
long | m_endRecordPos
| the end of the record position
std::vector< uint32_t > | m_offsetList
| the list of offset
std::string | m_extra
| extra data

## Private Member Functions
| ScMultiRecord (ScMultiRecord const &orig)
ScMultiRecord & | operator= (ScMultiRecord const &orig)

## Friends
std::ostream & | operator<< (std::ostream &o, ScMultiRecord const &r)
| basic operator<< ; print header data

## Detailed Description

Internal: a structure use to read ScMultiRecord zone of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## ◆ ScMultiRecord() [1/2]

StarObjectSpreadsheetInternal::ScMultiRecord::ScMultiRecord | ( | StarZone & | zone | ) |
| inlineexplicit

constructor

## ◆ ~ScMultiRecord()

StarObjectSpreadsheetInternal::ScMultiRecord::~ScMultiRecord | ( |  | ) |
| inline

destructor

## ◆ ScMultiRecord() [2/2]

StarObjectSpreadsheetInternal::ScMultiRecord::ScMultiRecord | ( | ScMultiRecord const & | orig | ) |
| private

## Member Function Documentation

## ◆ close()

void StarObjectSpreadsheetInternal::ScMultiRecord::close | ( | std::string const & | wh | ) |
| inline

try to close a zone

Referenced by StarObjectSpreadsheet::readCalcDocument(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCData(), StarObjectSpreadsheet::readSCOutlineArray(), StarObjectSpreadsheet::readSCTable(), and ~ScMultiRecord().

## ◆ closeContent()

bool StarObjectSpreadsheetInternal::ScMultiRecord::closeContent | ( | std::string const & | wh | ) |
| inline

try to go to the new content positon

Referenced by close(), openContent(), StarObjectSpreadsheet::readCalcDocument(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCData(), StarObjectSpreadsheet::readSCOutlineArray(), and StarObjectSpreadsheet::readSCTable().

## ◆ getContentLastPosition()

long StarObjectSpreadsheetInternal::ScMultiRecord::getContentLastPosition | ( |  | ) | const
| inline

returns the last content position

Referenced by StarObjectSpreadsheet::readCalcDocument(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCData(), and StarObjectSpreadsheet::readSCTable().

## ◆ isContentOpened()

bool StarObjectSpreadsheetInternal::ScMultiRecord::isContentOpened | ( |  | ) | const
| inline

returns true if a content is opened

Referenced by StarObjectSpreadsheet::readCalcDocument().

## ◆ open()

bool StarObjectSpreadsheetInternal::ScMultiRecord::open | ( |  | ) |
| inline

try to open a zone

Referenced by StarObjectSpreadsheet::readCalcDocument(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCData(), StarObjectSpreadsheet::readSCOutlineArray(), and StarObjectSpreadsheet::readSCTable().

## ◆ openContent()

bool StarObjectSpreadsheetInternal::ScMultiRecord::openContent | ( | std::string const & | wh | ) |
| inline

try to go to the new content positon

Referenced by StarObjectSpreadsheet::readCalcDocument(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCData(), StarObjectSpreadsheet::readSCOutlineArray(), and StarObjectSpreadsheet::readSCTable().

## ◆ operator=()

ScMultiRecord & StarObjectSpreadsheetInternal::ScMultiRecord::operator= | ( | ScMultiRecord const & | orig | ) |
| private

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ScMultiRecord const & | r )
| friend

basic operator<< ; print header data

## Member Data Documentation

## ◆ m_actualRecord

uint32_t StarObjectSpreadsheetInternal::ScMultiRecord::m_actualRecord
| protected

the actual record

Referenced by open(), and openContent().

## ◆ m_endContentPos

long StarObjectSpreadsheetInternal::ScMultiRecord::m_endContentPos
| protected

the end of the content position

Referenced by close(), closeContent(), getContentLastPosition(), isContentOpened(), open(), and openContent().

## ◆ m_endPos

long StarObjectSpreadsheetInternal::ScMultiRecord::m_endPos
| protected

the end of data position

Referenced by close(), getContentLastPosition(), open(), and openContent().

## ◆ m_endRecordPos

long StarObjectSpreadsheetInternal::ScMultiRecord::m_endRecordPos
| protected

the end of the record position

Referenced by close(), and open().

## ◆ m_extra

std::string StarObjectSpreadsheetInternal::ScMultiRecord::m_extra
| protected

extra data

Referenced by open().

## ◆ m_numRecord

uint32_t StarObjectSpreadsheetInternal::ScMultiRecord::m_numRecord
| protected

the number of record

Referenced by open(), and openContent().

## ◆ m_offsetList

std::vector<uint32_t> StarObjectSpreadsheetInternal::ScMultiRecord::m_offsetList
| protected

the list of offset

Referenced by open(), and openContent().

## ◆ m_startPos

long StarObjectSpreadsheetInternal::ScMultiRecord::m_startPos
| protected

the start of data position

Referenced by open().

## ◆ m_zone

StarZone& StarObjectSpreadsheetInternal::ScMultiRecord::m_zone
| protected

the main zone

Referenced by close(), closeContent(), open(), and openContent().

## ◆ m_zoneOpened

bool StarObjectSpreadsheetInternal::ScMultiRecord::m_zoneOpened
| protected

true if a SfxRecord has been opened

Referenced by close(), open(), and ~ScMultiRecord().

The documentation for this struct was generated from the following file:

- StarObjectSpreadsheet.cxx